- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# IpoptOptions Class Reference

`#include <ipoptoptions.hpp>`

Collaboration diagram for IpoptOptions:

[legend]
List of all members.

## Public Member Functions
| IpoptOptions (Ipopt::IpoptApplication &app, const mxArray *ptr)
| ~IpoptOptions ()
bool | useQuasiNewton () const
bool | useDerivChecker () const
bool | userScaling () const
int | printLevel () const
double | getPosInfty () const
double | getNegInfty () const
## Protected Member Functions
void | setOption (const char *label, const mxArray *ptr)
void | setStringOption (const char *label, const mxArray *ptr)
void | setIntegerOption (const char *label, const mxArray *ptr)
void | setNumberOption (const char *label, const mxArray *ptr)
## Protected Attributes
Ipopt::IpoptApplication & | app

## Detailed Description

Definition at line 19 of file ipoptoptions.hpp.

## Constructor & Destructor Documentation

IpoptOptions::IpoptOptions | ( | Ipopt::IpoptApplication & | app,
|  | const mxArray * | ptr |
| ) |  |  |

IpoptOptions::~IpoptOptions | ( |  | ) | `[inline]`

Definition at line 28 of file ipoptoptions.hpp.

## Member Function Documentation

bool IpoptOptions::useQuasiNewton | ( |  | ) | const

bool IpoptOptions::useDerivChecker | ( |  | ) | const

bool IpoptOptions::userScaling | ( |  | ) | const

int IpoptOptions::printLevel | ( |  | ) | const

double IpoptOptions::getPosInfty | ( |  | ) | const

double IpoptOptions::getNegInfty | ( |  | ) | const

void IpoptOptions::setOption | ( | const char * | label,
|  | const mxArray * | ptr |
| ) |  |  | `[protected]`

void IpoptOptions::setStringOption | ( | const char * | label,
|  | const mxArray * | ptr |
| ) |  |  | `[protected]`

void IpoptOptions::setIntegerOption | ( | const char * | label,
|  | const mxArray * | ptr |
| ) |  |  | `[protected]`

void IpoptOptions::setNumberOption | ( | const char * | label,
|  | const mxArray * | ptr |
| ) |  |  | `[protected]`

## Member Data Documentation

Ipopt::IpoptApplication& IpoptOptions::app`[protected]`

Definition at line 47 of file ipoptoptions.hpp.

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Ipopt-3.7.1/Ipopt/contrib/MatlabInterface/src/ipoptoptions.hpp